%define anolis_release 3

Name: words
Version: 3.0
Epoch: 1
Release: %{anolis_release}%{?dist}
Summary: A dictionary of English %{name} for the /usr/share/dict directory
License: Public Domain
URL: http://en.wikipedia.org/wiki/Moby_Project
Source0: http://web.archive.org/web/20060527013227/http://www.dcs.shef.ac.uk/research/ilash/Moby/mwords.tar.Z
Source1: license.txt

BuildArch: noarch
BuildRequires: dos2unix grep

Patch0: %{name}-3.0-typos.patch
Patch1: %{name}-3.0-presidents.patch

%description
The %{name} file is a dictionary of English %{name} for the
/usr/share/dict directory. Some programs use this database of
%{name} to check spelling. Password checkers use it to look for bad
passwords.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -c

%build
cd mwords
dos2unix -o *; chmod a+r *
cat [1-9]*.??? | egrep --invert-match "'s$" | egrep  "^[[:alnum:]'&!,./-]+$" | sort --ignore-case --dictionary-order | uniq > moby

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_datadir}/dict
install -m 644 %{SOURCE1} .
install -m644 mwords/moby %{buildroot}%{_datadir}/dict/linux.%{name}
ln -sf linux.%{name} %{buildroot}%{_datadir}/dict/%{name}

%files
%license license.txt
%{_datadir}/dict/linux.%{name}
%{_datadir}/dict/%{name}

%files doc
%doc mwords/readme.txt

%changelog
* Fri Apr 14 2023 Jing Zhang <renyu.zj@linux.alibaba.com> - 1:3.0-3
- Refact spec

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:3.0-2
- add doc package

* Thu Jul 28 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:3.0-1
- init from upstream
